Subject: bug#50777: Dropping EIEIO from xref (for performance)

From: Dmitry Gutov <[email-masked]>
Date: Sat, 25 Sep 2021 04:52:49 +0300

On 25.09.2021 04:42, Lars Ingebrigtsen wrote:
> Speedups would be nice, but I think this sounds like a very big change
> to make to such a central system (that I think many third-party packages
> rely on) at this point, so I'm leaning towards it being in Emacs 29
> instead.

Xref is an "ELPA core" package. As soon as we make this change on master 
and bump the version, it will affect the third-party packages right 
away. Not when Emacs 29 is released, year(s) later.

On the flip side, we can make the change now, bump the version, and be 
reasonably certain that when Emacs 28 comes out, the third-party 
packages are already updated for the version that comes with it.

It's also the most reliable way to work out the kinks that I know of.